2020-09-29 00:07 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002353Spring engineGeneralpublic2012-03-07 00:56
Reporteruser744 
Assigned Toabma 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version0.82.7.1 
Target VersionFixed in Version 
Summary0002353: missing file in depend section of modinfo gives no error in .sdd but does in .sdz
Descriptionthe depend section of my modinfo.lua looks like this:

depend = {
    "cursors.sdz",
    "blabla",
    }
}

("blabla" being a file that does not exist anymore)
This works fine when the mod is a .sdd
when the mod is packed as .sdz, spring.exe gives the message:
Content error Couldn't load archive 'blabla' for 'Spring TanksBLABLA'.

Why this is relevant:
The rapid downloader also downloads all files listed in the depend section and I want it to downloads some maps together with the mod.
But the game should work as .sdz too, in case the player did not download the maps for whatever reason.

Imo for maps it would be better to have a section "additional downloads" instead of using the depend section but thats probally a problem with rapid.

So this report is just about .sdd and .sdz behaving not the same.
TagsNo tags attached.
Checked infolog.txt for Errors
Attached Files

-Relationships
duplicate of 0002965resolvedabma spring runs map with missing depends 
related to 0003000resolvedabma unitsync doesn't list missing files as depend 
+Relationships

-Notes

~0008406

abma (administrator)

should be fixed...

https://github.com/spring/spring/commit/b80855b4415336e8144ffb6e33cc5a9216f22245
+Notes

-Issue History
Date Modified Username Field Change
2011-02-17 10:46 user744 New Issue
2012-03-06 00:51 abma Relationship added related to 0003000
2012-03-07 00:55 abma Note Added: 0008406
2012-03-07 00:55 abma Status new => resolved
2012-03-07 00:55 abma Resolution open => fixed
2012-03-07 00:55 abma Assigned To => abma
2012-03-07 00:56 abma Relationship added duplicate of 0002965
+Issue History